Skip to main content
Set provider key
curl --request PUT \
  --url https://api.usetokenless.com/v1/provider-keys/{provider} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "api_key": "<string>",
  "label": "<string>"
}
'
import requests

url = "https://api.usetokenless.com/v1/provider-keys/{provider}"

payload = {
"api_key": "<string>",
"label": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({api_key: '<string>', label: '<string>'})
};

fetch('https://api.usetokenless.com/v1/provider-keys/{provider}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "last4": "<string>",
  "enabled": true,
  "created_at": "2023-11-07T05:31:56Z",
  "label": "<string>",
  "validated_at": "2023-11-07T05:31:56Z",
  "last_used_at": "2023-11-07T05:31:56Z"
}
{
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>"
}
}
PUT/v1/provider-keys/{provider}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

provider
enum<string>
required
Available options:
openai,
anthropic,
deepseek

Body

application/json
api_key
string
required
write-only

The upstream provider API key. Never returned by this API.

label
string
Maximum string length: 100

Response

Stored provider-key metadata.

key_id
string<uuid>
required
provider
enum<string>
required
Available options:
openai,
anthropic,
deepseek
last4
string
required

Last four characters of the provider key.

status
enum<string>
required
Available options:
active,
invalid
enabled
boolean
required
created_at
string<date-time>
required
label
string
validated_at
string<date-time>
last_used_at
string<date-time>